import { BunHttpServer, BunRuntime } from "@effect/platform-bun"
import { Effect, Layer } from "effect"
import { ServerConfig } from "./config"
import { Server } from "./server"


Layer.launch(Server).pipe(
    Effect.provide(BunHttpServer.layerConfig({ port: ServerConfig.httpPort })),
    BunRuntime.runMain,
)
